Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031815
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2016-01-04 17:492016-03-17 10:53
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revision17e56cf6bc2b
ProjectionnoneETAnoneTarget Version3.0PR16Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031815: Import entry archive entry and import entry should preferably have the same id

DescriptionWhen archiving an import entry the idea is to keep the same id, so the import entry archive record will have the same id (uuid) value as the import entry from which it was created.
Steps To ReproduceWhen archiving import entry, i.e. when creating import entry archive record, re-use the same id
Proposed SolutionSee description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0083138)
hgbot (developer)
2016-01-05 12:19

Repository: erp/devel/pi
Changeset: 17e56cf6bc2b413808c0c53b60f3e82da0deb7bb
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Jan 05 10:19:13 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/17e56cf6bc2b413808c0c53b60f3e82da0deb7bb [^]

Fixes issue 31815: Import entry archive entry and import entry should preferably have the same id
Also copy id from import entry to import entry archive

---
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
---
(0083157)
AugustoMauch (developer)
2016-01-07 13:33

Code reviewed and verified in pi@17e56cf6bc2b
(0085024)
hudsonbot (developer)
2016-03-17 10:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-04 17:49 mtaal New Issue
2016-01-04 17:49 mtaal Assigned To => mtaal
2016-01-04 17:49 mtaal Modules => Core
2016-01-04 17:49 mtaal Triggers an Emergency Pack => No
2016-01-05 12:19 hgbot Checkin
2016-01-05 12:19 hgbot Note Added: 0083138
2016-01-05 12:19 hgbot Status new => resolved
2016-01-05 12:19 hgbot Resolution open => fixed
2016-01-05 12:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/17e56cf6bc2b413808c0c53b60f3e82da0deb7bb [^]
2016-01-07 13:33 AugustoMauch Review Assigned To => AugustoMauch
2016-01-07 13:33 AugustoMauch Note Added: 0083157
2016-01-07 13:33 AugustoMauch Status resolved => closed
2016-01-07 13:33 AugustoMauch Fixed in Version => 3.0PR16Q2
2016-03-17 10:53 hudsonbot Checkin
2016-03-17 10:53 hudsonbot Note Added: 0085024


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker